#
#   Makefile for WATCOM C/C++ ver 11.0
#   Copyright (C) 1998-2002 Alexander Simakov
#   April 2002
#
#   wmake /f makefile.wat dll <- build Win32 DLL
#   wmake /f makefile.wat tst <- build test proogram

CC       = wcc386
DLLFLAGS = -bd
CFLAGS   = -d0 -5 -s -mf -obhklrt

dll : shclib.dll

shclib.dll : shclib.obj shc.obj
    wlink @shclib.lnk

shclib.obj : shclib.c
    $(CC) shclib.c $(CFLAGS) $(DLLFLAGS)

shc.obj : shc.c
    $(CC) shc.c $(CFLAGS) $(DLLFLAGS)

tst : libtest.exe

libtest.exe : libtest.obj shclib.lib
    wlink @libtest.lnk

libtest.obj : libtest.c
    $(CC) libtest.c $(CFLAGS)

shclib.lib : shclib.dll
    wlib -b -n shclib + shclib.dll